## LassoIdWsf2SubsSubscription LassoIdWsf2SubsSubscription — <subs:Subscription> |

## Functions

LassoIdWsf2SubsSubscription * | lasso_idwsf2_subs_subscription_new ()

## Types and Values

struct | LassoIdWsf2SubsSubscription

## Description

Figure 269. Schema fragment for subs:Subscription

    <xs:complexType name="SubscriptionType">
      <xs:sequence>
        <xs:element ref="subs:RefItem" minOccurs="0" maxOccurs="unbounded"/>
        <xs:element ref="lu:Extension" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="subscriptionID" use="required" type="lu:IDType"/>
      <xs:attribute name="notifyToRef" use="required" type="xs:anyURI"/>
      <xs:attribute name="adminNotifyToRef" use="optional" type="xs:anyURI"/>
      <xs:attribute name="starts" use="optional" type="xs:dateTime"/>
      <xs:attribute name="expires" use="optional" type="xs:dateTime"/>
      <xs:attribute name="id" use="optional" type="xs:ID"/>
      <xs:attribute name="includeData" use="optional">
        <xs:simpleType>
          <xs:restriction base="xs:string">
            <xs:enumeration value="Yes"/>
            <xs:enumeration value="No"/>
            <xs:enumeration value="YesWithCommonAttributes"/>
          </xs:restriction>
        </xs:simpleType>
      </xs:attribute>
    </xs:complexType>

## Functions

### lasso_idwsf2_subs_subscription_new ()

    LassoIdWsf2SubsSubscription *
    lasso_idwsf2_subs_subscription_new (void);

Creates a new LassoIdWsf2SubsSubscription object.

#### Returns

a newly created LassoIdWsf2SubsSubscription object

## Types and Values

### struct LassoIdWsf2SubsSubscription

    struct LassoIdWsf2SubsSubscription {
    	LassoNode parent;

    	/* elements */
    	GList *RefItem; /* of LassoNode */
    	GList *Extension; /* of LassoIdWsf2Utilextension */
    	/* attributes */
    	char *subscriptionID;
    	char *notifyToRef;
    	char *adminNotifyToRef;
    	char *starts;
    	char *expires;
    	char *id;
    	char *includeData;
    };